% Computersimulationen
% Fraktale Landschaften

% Nebenfunktion

function [B]=landschaft(A)

N=size(A,1);

level=log2(N-1);
scalef=0.05*(2^(0.9*level));
d=(N+1)/2;

B=A;

B(d,d)=mean([A(1,1),A(1,N),A(N,1),A(N,N)])+scalef*ran;
B(1,d)=mean([A(1,1),A(1,N)])+scalef*ran;
B(d,1)=mean([A(1,1),A(N,1)])+scalef*ran;
B(d,N)=mean([A(1,N),A(N,N)])+scalef*ran;
B(N,d)=mean([A(N,1),A(N,N)])+scalef*ran;

if N > 3
    B(1:d,1:d)=landschaft(B(1:d,1:d));
    B(1:d,d:N)=landschaft(B(1:d,d:N));
    B(d:N,1:d)=landschaft(B(d:N,1:d));
    B(d:N,d:N)=landschaft(B(d:N,d:N));
end

function r = ran

r = rand*2 - 1;
%r = randn;


