% Fort. Applikationssoftware
% Fraktale Landschaften

% Hauptprogramm
clear all

n=7;    % Feinheitseinstellung
N=2^n+1;
A=zeros(N,N); % Ausgangsmatrix

A([1,N],[1,N])= 1; % in den Ecken muss 1 stehen
B=landschaft(A);

% Wasserflaeche erzeugen
l=B<=0;
B(l)=0;

% figure(1)
% h=surf(B,'FaceColor','flat','EdgeColor','none');
% view([30,25]);
% camlight left;
% colormap([[.2 .6 1]; copper(512); repmat([1 1 1],256,1)]);
% shading interp
% 
% set(gca,'Color',[1 1 1],'GridLineStyle','none','XColor',[.8 .8 .8],'YColor',[.8 .8 .8],'ZColor',[.8 .8 .8]);  

% Filter
f = 3; % definiert ueber wie viele Werte gemittelt wird
F = ones(f,f) / f^2;   
BF = filter2(F,B,'valid');

figure(2)
sh = surf(BF);
set(sh,'FaceColor','flat','EdgeColor','none');
cl=camlight ('left');
colormap([[.2 .6 1]; copper(512); repmat([1 1 1],256,1)]);
shading interp
set(gca,'Color',[1 1 1],'GridLineStyle','none','XColor',[.8 .8 .8],'YColor',[.8 .8 .8],'ZColor',[.8 .8 .8]);  

for az = 30:5:390    % Rotation der Achse
    view([az,50]);
    camlight(cl,'left');
    drawnow;
    pause(0.2);
end